(3)

NAME
boost::numeric::functional::promote<bool_const,_From,_void,_std_valarray_tag>

SYNOPSIS

// In header: <boost/accumulators/numeric/functional/valarray.hpp>
template<typename From>
struct promote<bool const, From, void, std_valarray_tag> : public boost::numeric::functional::promote< bool, From, void, std_valarray_tag >
{
};